package com.server.alb.models

import jakarta.validation.constraints.NotBlank
import jakarta.validation.constraints.NotNull

class UserRole {
    var id: Long = 0

    @NotBlank(message = "User Name tidak boleh kosong")
    var username: String = ""

    @NotBlank(message = "Password tidak boleh kosong")
    var password: String = ""

    @NotNull(message = "Role tidak boleh kosong")
    var role: Set<Role> = HashSet()
    var isEnabled = false

    var oldPass: String = ""

    override fun toString(): String {
        return ("UserRole [id=$id,username=$username, password=$password, isEnabled=$isEnabled, role=$role, oldPass=$oldPass]")
    }
}